<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_191) on Fri Mar 15 18:21:06 CST 2019 -->
<title>MyScanner</title>
<meta name="date" content="2019-03-15">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MyScanner";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="MyParser.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="Node.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="index.html?MyScanner.html" target="_top">Frames</a></li>
<li><a href="MyScanner.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<h2 title="Class MyScanner" class="title">Class MyScanner</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>MyScanner</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">MyScanner</span>
extends java.lang.Object</pre>
<div class="block">This class gets a string value in the init method, and iterates over the string to get
 the value of each character and generate Token type objects with a specific value according to the type of
 characters that it is identified, predefined types of Tokens are shown below as static type Strings.
 Also, a scanner type object is used to change the currentToken line of an input to scan it individually.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#CLOSING_BRACE_PARENTHESIS">CLOSING_BRACE_PARENTHESIS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="Token.html" title="class in &lt;Unnamed&gt;">Token</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#currentToken">currentToken</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#DOT">DOT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#EOF">EOF</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#EOS">EOS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#LITERAL_ATOM">LITERAL_ATOM</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#NUMERIC_ATOM">NUMERIC_ATOM</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#OPEN_BRACE_PARENTHESIS">OPEN_BRACE_PARENTHESIS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#passedExpressionLine">passedExpressionLine</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#position">position</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.util.Scanner</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#scanner">scanner</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#STRING_ATOM">STRING_ATOM</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="MyScanner.html#MyScanner--">MyScanner</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="Token.html" title="class in &lt;Unnamed&gt;">Token</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#getCurrentToken--">getCurrentToken</a></span>()</code>
<div class="block">get currentToken token</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private static <a href="Token.html" title="class in &lt;Unnamed&gt;">Token</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#getNextToken-java.util.Scanner-">getNextToken</a></span>(java.util.Scanner&nbsp;scanner)</code>
<div class="block">This method analyzes the different cases for each char of a string read form scanner (passedExpressionLine)
 then it creates and returns a Token with the value of the char and the type of it</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#init-java.lang.String-">init</a></span>(java.lang.String&nbsp;line)</code>
<div class="block">Creates an instance of Scanner, sets # symbol as a delimiter to jump to the next expression
 and assigns the value of the first line of the whole input to the passedExpressionLine attribute</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="MyScanner.html#MoveToNext--">MoveToNext</a></span>()</code>
<div class="block">Reassigns the value of currentToken and  returns true if the currentToken Token value is the $$ char,
 this means, EOF</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="scanner">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scanner</h4>
<pre>private static&nbsp;java.util.Scanner scanner</pre>
</li>
</ul>
<a name="passedExpressionLine">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>passedExpressionLine</h4>
<pre>static&nbsp;java.lang.String passedExpressionLine</pre>
</li>
</ul>
<a name="position">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>position</h4>
<pre>private static&nbsp;int position</pre>
</li>
</ul>
<a name="currentToken">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentToken</h4>
<pre>private&nbsp;<a href="Token.html" title="class in &lt;Unnamed&gt;">Token</a> currentToken</pre>
</li>
</ul>
<a name="EOF">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EOF</h4>
<pre>public static final&nbsp;java.lang.String EOF</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#MyScanner.EOF">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DOT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DOT</h4>
<pre>public static final&nbsp;java.lang.String DOT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#MyScanner.DOT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EOS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EOS</h4>
<pre>public static final&nbsp;java.lang.String EOS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#MyScanner.EOS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NUMERIC_ATOM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NUMERIC_ATOM</h4>
<pre>public static final&nbsp;java.lang.String NUMERIC_ATOM</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#MyScanner.NUMERIC_ATOM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LITERAL_ATOM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LITERAL_ATOM</h4>
<pre>public static final&nbsp;java.lang.String LITERAL_ATOM</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#MyScanner.LITERAL_ATOM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STRING_ATOM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STRING_ATOM</h4>
<pre>public static final&nbsp;java.lang.String STRING_ATOM</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#MyScanner.STRING_ATOM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OPEN_BRACE_PARENTHESIS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPEN_BRACE_PARENTHESIS</h4>
<pre>public static final&nbsp;java.lang.String OPEN_BRACE_PARENTHESIS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#MyScanner.OPEN_BRACE_PARENTHESIS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CLOSING_BRACE_PARENTHESIS">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CLOSING_BRACE_PARENTHESIS</h4>
<pre>public static final&nbsp;java.lang.String CLOSING_BRACE_PARENTHESIS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#MyScanner.CLOSING_BRACE_PARENTHESIS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MyScanner--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MyScanner</h4>
<pre>public&nbsp;MyScanner()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public&nbsp;void&nbsp;init(java.lang.String&nbsp;line)
          throws java.lang.Exception</pre>
<div class="block">Creates an instance of Scanner, sets # symbol as a delimiter to jump to the next expression
 and assigns the value of the first line of the whole input to the passedExpressionLine attribute</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>line</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a name="getCurrentToken--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentToken</h4>
<pre>public&nbsp;<a href="Token.html" title="class in &lt;Unnamed&gt;">Token</a>&nbsp;getCurrentToken()</pre>
<div class="block">get currentToken token</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the currentToken Token-type object</dd>
</dl>
</li>
</ul>
<a name="MoveToNext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MoveToNext</h4>
<pre>public&nbsp;boolean&nbsp;MoveToNext()
                   throws java.lang.Exception</pre>
<div class="block">Reassigns the value of currentToken and  returns true if the currentToken Token value is the $$ char,
 this means, EOF</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if currentToken Token type = $$ (end of file), false otherwise</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a name="getNextToken-java.util.Scanner-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getNextToken</h4>
<pre>private static&nbsp;<a href="Token.html" title="class in &lt;Unnamed&gt;">Token</a>&nbsp;getNextToken(java.util.Scanner&nbsp;scanner)
                           throws java.lang.Exception</pre>
<div class="block">This method analyzes the different cases for each char of a string read form scanner (passedExpressionLine)
 then it creates and returns a Token with the value of the char and the type of it</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>scanner</code> - the scanner object to make actions of change lines and read lines</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the instance of a Token</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - in case the char is invalid, not an Atomic-Number or a reserved word</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="MyParser.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="Node.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="index.html?MyScanner.html" target="_top">Frames</a></li>
<li><a href="MyScanner.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
